Subject: RE: "contents altered after message signed" when sending openssl smime signed messages - partial work around found
From: "Ralf Hauser" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 6 Aug 2003 08:15:30 +0200

When sending out of cygwin and using the "-nodetach" parameter, it kind of
works:
- the mail looks like encrypted instead of signed in the Outlook inbox (blue
dot at the bottom right of the envelope icon).
- when opening the message - all is fine: the content can be read, outlook
claims that the signature is good,  and all of a sudden the red
"Signature-Icon" is fine too!

Detached signatures, however, still are a problem - and, when looking at a
"-nodetach" mail for example with your ISP's web mail, you will not be able
to see the content separated from a smime.p7s signature attachment, but all
in a hard-to-unpack smime.p7m attachment.

The underlying problem is still awaiting resolution any help or
idea-providing similar experiences are appreciated. A solution attempt
report to date:
With Steve's help, we went through the interim step of creating a mail.eml
file and visualized its CR characters

cat -vte file.eml

but I didn't see any differences in the produced "dollars" at the end of
each line.
To my eye, (ediff choked), just the last 5 lines of the signature block were
different, but that could well be because the signatures didn't occur at the
exact same times and I guess the message's timestamp will cause differences
there.
> -----Original Message-----
> From: Ralf Hauser [mailto:[email-masked]]
> Sent: Montag, 14. Juli 2003 11:57
>
> as per http://www.openssl.org/docs/apps/smime.html#, 1) I did
> <<openssl smime -sign -in message.txt -text -signer mycert.pem -from
> [email-masked] -to [email-masked] -subject "Signed message
> from cygwin" |
> /usr/sbin/sendmail [email-masked]>>
>
> Under Linux (Suse) that works perfectly.
> When trying the same under my cygwin installation where sendmail is a
> symbolic link on ssmtp, I get the above error.
> When also encrypting it on top of signing, it works
> perfectly.
...
> P.S.: My cygwin is configured to use Unix Linefeeds

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/